/*
 * Bestand: sketch_counter_1b.ino
 * Datum: 8 september 2014
 * Doel: test van een objekt van de klasse CTUD (op- en aftellende teller)
 		 versie zonder variabelen,
 		 teller objekt krjgt bij aanmaak een bovenwaarde
 */

#include "counters.h"

CTUD teller(5);					// maak het objekt teller v/d klasse CTUD met bovenwaarde 5

uint16_t temp = 0;				//'oude' waarde van CV, even nodig bij test met serial monitor

void setup() {
	Serial.begin(9600);			// nodig voor de test
	pinMode(12, OUTPUT);
	pinMode(13, OUTPUT);
//	teller.setPV(8);			// zomaar een andere bovenwaarde
}

void loop() {
	// telingang oppulsen op pinnr. 2
	teller.countUp(digitalRead(2));

	// telingang neerpulsen op pinnr. 3
	teller.countDown(digitalRead(3));

	// resetingang op pinnr. 4
	if(digitalRead(4)) {
		teller.Reset();
	}

	// uitgang onderwaarde bereikt
	digitalWrite(12, teller.getQD());
		
	// uitgang bovenwaarde bereikt
	digitalWrite(13, teller.getQU());


	// voor de test: toon de hudige telwaarde
	if(temp != teller.getCV()) {
		Serial.println(teller.getCV());
		temp = teller.getCV();
	}
	delay(500);

}